<?php

/**
 * @file
 * Contains filter handler for adding a widget for chosing the refresh rate of rrdtool graphs with views.
 */

/**
 * Filter handler for chosing the refresh rate.
 */
class rrdtool_cck_views_handler_filter_refresh extends views_handler_filter_string {

  /**
   * Set defaults for the filter options.
   */
  function option_definition() {
    $options = parent::option_definition();
    $options['value'] = array(
      'contains' => array(
        'value' => array('default' => ''),
      ),
    );

    return $options;
  }

  function operators() {
    $operators = array(
    );

    return $operators;
  }

  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);

    $form['refresh_options'] = array(
      '#type' => 'textfield',
      '#title' => t('Refresh options'),
      '#default_value' => isset($this->options['refresh_options']) ? $this->options['refresh_options'] : "5,10,15,30,60,180,300,600,900",
      '#description' => t('Add options that can be used s refresh interval of the graph. Comma-delimited list of values in seconds.'),
    );
  }

  /**
   * Provide a select list to choose the desired protocols.
   */
  function value_form(&$form, &$form_state) {
    $form['value']['#tree'] = TRUE;
    $form['value']['#type'] = 'fieldset';
    $options = isset($this->options['refresh_options']) ? explode(',', $this->options['refresh_options']) : explode(',', '5,10,15,30,60,180,300,600,900');
    $options = array_combine($options, $options);
    $options = array_map('format_interval', $options);
    $form['value']['refresh'] = array(
      '#type' => 'select',
      '#title' => t('Refresh period'),
      '#default_value' => isset($this->value['refresh']) ? $this->value['refresh'] : 0,
      '#options' => $options,
    );
    $form['refresh_views_field'] = array(
      '#type' => 'value',
      '#value' => isset($this->options['expose']['identifier']) ? $this->options['expose']['identifier'] : '',
    );
  }  

  function query() {}

  function exposed_submit($form, $form_state) {
    rrdtool_cck_refresh_submit($form, $form_state);
  }
}

