<?php

function rrdtool_drupal_node_rrdcreate() {
  return array('node' => array(
    'grants' => NULL,
    'access_records' => NULL,
    'delete' => NULL,
    'revision_delete' => NULL,
    'insert' => NULL,
    'load' => NULL,
    'access' => NULL,
    'prepare' => NULL,
    'prepare_translation' => NULL,
    'search_result' => NULL,
    'presave' => NULL,
    'update' => NULL,
    'update_index' => NULL,
    'validate' => NULL,
    'view' => NULL,
    'view_alter' => NULL,
    'info' => NULL,
    'type_insert' => NULL,
    'type_update' => NULL,
    'type_delete' => NULL,
    'ranking' => NULL,
    'form' => NULL,
  ));
}

function rrdtool_drupal_node_rrdgraph() {
  return array('node' => array(
    'view' => array(
      '--start', '%seconds',
      '-Y', '--title=Viewing nodes',
      'DEF:view=%rrdfile:view:AVERAGE',
      'DEF:load=%rrdfile:load:AVERAGE',
      'AREA:load#00FF00:node_load',
      'LINE1:view#0000FF:node_view\\r',
    ),
    'edit' => array(
      '--start', '%seconds',
      '-Y', '--title=Editing nodes',
      'DEF:insert=%rrdfile:insert:AVERAGE',
      'DEF:update=%rrdfile:update:AVERAGE',
      'DEF:delete=%rrdfile:delete:AVERAGE',
      'LINE1:insert#00FF00:node_insert',
      'LINE1:update#0000FF:node_update',
      'AREA:delete#FF0000:node_delete\\r',
    ),
  ));
}

/**
 * Hook into nodeapi.
 */
function rrdtool_drupal_node_grants() {
  rrdtool_monitors_increment('node', 'grants');
}

/**
 * Hook into nodeapi.
 */
function rrdtool_drupal_nodeapi($node, $type) {
  _rrdtool_sanitize($type);
  rrdtool_monitors_increment('node', $type);
}

/**
 * Hook into nodeapi.
 */
function rrdtool_drupal_node_access() {
  rrdtool_monitors_increment('node', 'access');
}


/**
 * Hook into nodeapi.
 */
function rrdtool_drupal_node_prepare_translation() {
  rrdtool_monitors_increment('node', 'prepare_translation');
}

/**
 * Hook into nodeapi.
 */
function rrdtool_drupal_node_search_result() {
  rrdtool_monitors_increment('node', 'search_result');
}

/**
 * Hook into nodeapi.
 */
function rrdtool_drupal_node_type($op) {
  _rrdtool_sanitize($op);
  rrdtool_monitors_increment('node', $op);
}

/**
 * Hook into nodeapi.
 */
function rrdtool_form() {
  rrdtool_monitors_increment('node', 'form');
}

